import { Emoji } from './Emoji';
import { BasicLoginOptions } from './login/BasicLoginProvider';
import { SessionLoginOptions } from './login/SessionLoginProvider';
interface Status {
    message: string;
    emoji: Emoji;
    busy: boolean;
}
interface ConstructorOptions {
    debug?: boolean;
}
export declare class GithubProfileStatus {
    private options;
    private loginProvider;
    constructor(options: ConstructorOptions & BasicLoginOptions);
    constructor(options: ConstructorOptions & SessionLoginOptions);
    /**
     * Gets the current user profile status
     */
    get(): Promise<Status>;
    /**
     * Sets the user profile status
     */
    set(status: Partial<Status>): Promise<boolean>;
    /**
     * Returns references for the element handlers of user profile status fields
     */
    private getFormFields;
    /**
     * Fetches a single property of an element handle as JSON
     */
    private getPropertyAsJSON;
}
export {};
